Skip to main content
GET
/
api
/
v1
/
status-pages
/
{id}
/
components
/
{componentId}
/
uptime
Get component uptime history (daily rollups)
curl --request GET \
  --url https://api.devhelm.io/api/v1/status-pages/{id}/components/{componentId}/uptime \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "date": "2023-11-07T05:31:56Z",
      "partialOutageSeconds": 123,
      "majorOutageSeconds": 123,
      "uptimePercentage": 123,
      "incidents": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "title": "<string>",
          "impact": "<string>"
        }
      ]
    }
  ],
  "hasNext": true,
  "hasPrev": true,
  "totalElements": 123,
  "totalPages": 123
}

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Path Parameters

id
string<uuid>
required
componentId
string<uuid>
required

Query Parameters

days
integer<int32>
default:90

Response

200 - */*

OK

data
object[]
required
hasNext
boolean
required
hasPrev
boolean
required
totalElements
integer<int64> | null
totalPages
integer<int32> | null